Package org.eclipse.emf.compare.rcp.ui.internal.configuration

## Interface IEMFCompareConfiguration

All Known Implementing Classes:
  `EMFCompareConfiguration`

    public interface IEMFCompareConfiguration

### Method Summary

All Methods Instance Methods Abstract Methods
`AdapterFactory` `getAdapterFactory()`
`boolean` `getBooleanProperty​(String key, boolean dflt)`
`Comparison` `getComparison()`
`IComparisonScope` `getComparisonScope()`
`IDiffRelationshipComputer` `getDiffRelationshipComputer()`
`ICompareEditingDomain` `getEditingDomain()`
`EMFCompare` `getEMFComparator()`
`com.google.common.eventbus.EventBus` `getEventBus()`
`MergeMode` `getMergePreviewMode()`
`StructureMergeViewerFilter` `getStructureMergeViewerFilter()`
`StructureMergeViewerGrouper` `getStructureMergeViewerGrouper()`
`boolean` `isLeftEditable()`
`boolean` `isMirrored()`
`boolean` `isRightEditable()`
`void` `setAdapterFactory​(AdapterFactory adapterFactory)`
`void` `setComparisonAndScope​(Comparison comparison, IComparisonScope comparisonScope)`
`void` `setDiffRelationshipComputer​(IDiffRelationshipComputer diffRelationshipComputer)`
`void` `setEditingDomain​(ICompareEditingDomain editingDomain)`
`void` `setEMFComparator​(EMFCompare comparator)`
`void` `setMergePreviewMode​(MergeMode mergePreviewMode)`

### Method Detail

#### getEventBus

    com.google.common.eventbus.EventBus getEventBus()

#### getEditingDomain

    ICompareEditingDomain getEditingDomain()

#### setEditingDomain

    void setEditingDomain​(ICompareEditingDomain editingDomain)

#### getStructureMergeViewerGrouper

    StructureMergeViewerGrouper getStructureMergeViewerGrouper()

#### getStructureMergeViewerFilter

    StructureMergeViewerFilter getStructureMergeViewerFilter()

#### getAdapterFactory

    AdapterFactory getAdapterFactory()

#### setAdapterFactory

    void setAdapterFactory​(AdapterFactory adapterFactory)

#### isLeftEditable

    boolean isLeftEditable()

#### isRightEditable

    boolean isRightEditable()

#### getComparison

    Comparison getComparison()

#### setComparisonAndScope

    void setComparisonAndScope​(Comparison comparison,
                               IComparisonScope comparisonScope)

#### getComparisonScope

    IComparisonScope getComparisonScope()

#### getEMFComparator

    EMFCompare getEMFComparator()

#### setEMFComparator

    void setEMFComparator​(EMFCompare comparator)

#### getMergePreviewMode

    MergeMode getMergePreviewMode()

#### setMergePreviewMode

    void setMergePreviewMode​(MergeMode mergePreviewMode)

#### getDiffRelationshipComputer

    IDiffRelationshipComputer getDiffRelationshipComputer()

#### setDiffRelationshipComputer

    void setDiffRelationshipComputer​(IDiffRelationshipComputer diffRelationshipComputer)

#### getBooleanProperty

    boolean getBooleanProperty​(String key,
                               boolean dflt)

#### isMirrored

    boolean isMirrored()